package org.bench4q.master.infrastructure.communication;

import org.bench4q.share.models.monitor.MemoryModel;
import org.bench4q.share.models.monitor.MonitorMain;
import org.bench4q.share.models.monitor.NetworkInterfaceModel;
import org.bench4q.share.models.monitor.PhysicalDiskModel;
import org.bench4q.share.models.monitor.ProcessModel;
import org.bench4q.share.models.monitor.ProcessorModel;

public interface MonitorMessenger {
	public MonitorMain monitorModel(String hostName, int port);

	public PhysicalDiskModel physicalDisk(String hostName, int port);

	public MemoryModel memory(String hostName, int port);

	public ProcessorModel processor(String hostName, int port);

	public NetworkInterfaceModel networkInterface(String hostName, int port);

	public ProcessModel process(String hostName, int port);

}
